## org.jfree.report.flow
Class LibLayoutReportTarget

    java.lang.Object
      org.jfree.report.flow.AbstractReportTarget
          org.jfree.report.flow.LibLayoutReportTarget

All Implemented Interfaces:
  ReportTarget, StatefullReportTarget

    public class LibLayoutReportTarget

extends AbstractReportTarget
implements StatefullReportTarget

Creation-Date: 07.03.2006, 18:56:37

Author:
  Thomas Morgner

Nested Class Summary
`protected static class` `LibLayoutReportTarget.LibLayoutReportTargetState`

Constructor Summary
`` `LibLayoutReportTarget(ReportJob reportJob, org.pentaho.reporting.libraries.resourceloader.ResourceKey baseResourceKey, org.pentaho.reporting.libraries.resourceloader.ResourceManager resourceManager, org.jfree.layouting.LayoutProcess layoutProcess)`
`protected` `LibLayoutReportTarget(ReportJob reportJob, org.pentaho.reporting.libraries.resourceloader.ResourceKey baseResource, org.pentaho.reporting.libraries.resourceloader.ResourceManager resourceManager, org.jfree.layouting.LayoutProcess layoutProcess, org.jfree.layouting.namespace.NamespaceCollection namespaces)`

Method Summary
`void` `commit()`
`void` `endElement(org.jfree.layouting.util.AttributeMap attrs)`
`void` `endReport(ReportStructureRoot report)`
`java.lang.String` `getExportDescriptor()`
`protected org.jfree.layouting.layouter.feed.InputFeed` `getInputFeed()`
`protected org.jfree.layouting.LayoutProcess` `getLayoutProcess()`
`org.jfree.layouting.namespace.NamespaceDefinition` `getNamespaceByUri(java.lang.String uri)`
`org.jfree.layouting.namespace.NamespaceCollection` `getNamespaces()`
`protected void` `handleAttributes(org.jfree.layouting.util.AttributeMap map)`
`boolean` `isPagebreakEncountered()`
`void` `processContent(DataFlags value)`
`void` `processText(java.lang.String text)`
`void` `resetPagebreakFlag()`
`ReportTargetState` `saveState()`
`void` `startElement(org.jfree.layouting.util.AttributeMap attrs)`
`void` `startReport(ReportStructureRoot report)`

Methods inherited from class org.jfree.report.flow.AbstractReportTarget
`createDefaultNameSpaces, getBaseResource, getReportJob, getResourceManager`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LibLayoutReportTarget

    public LibLayoutReportTarget(ReportJob reportJob,
                                 org.pentaho.reporting.libraries.resourceloader.ResourceKey baseResourceKey,
                                 org.pentaho.reporting.libraries.resourceloader.ResourceManager resourceManager,
                                 org.jfree.layouting.LayoutProcess layoutProcess)

Parameters:
  `reportJob` -
  `baseResourceKey` - may be null, if the report has not gone through the parser
  `resourceManager` - may be null, a generic resource manager will be built
  `layoutProcess` -

### LibLayoutReportTarget

    protected LibLayoutReportTarget(ReportJob reportJob,
                                    org.pentaho.reporting.libraries.resourceloader.ResourceKey baseResource,
                                    org.pentaho.reporting.libraries.resourceloader.ResourceManager resourceManager,
                                    org.jfree.layouting.LayoutProcess layoutProcess,
                                    org.jfree.layouting.namespace.NamespaceCollection namespaces)

Method Detail

### saveState

    public ReportTargetState saveState()
                                throws org.jfree.layouting.StateException

  Specified by:
    `saveState` in interface `StatefullReportTarget`
  Throws:
    `org.jfree.layouting.StateException`

### commit

    public void commit()

  Specified by:
    `commit` in interface `ReportTarget`

### getNamespaces

    public org.jfree.layouting.namespace.NamespaceCollection getNamespaces()

### isPagebreakEncountered

    public boolean isPagebreakEncountered()

### getLayoutProcess

    protected org.jfree.layouting.LayoutProcess getLayoutProcess()

### getInputFeed

    protected org.jfree.layouting.layouter.feed.InputFeed getInputFeed()

### startReport

    public void startReport(ReportStructureRoot report)
                     throws DataSourceException,
                            ReportProcessingException

  Specified by:
    `startReport` in interface `ReportTarget`
  Throws:
    `DataSourceException`
    `ReportProcessingException`

### startElement

    public void startElement(org.jfree.layouting.util.AttributeMap attrs)
                      throws DataSourceException,
                             ReportProcessingException

  Specified by:
    `startElement` in interface `ReportTarget`
  Throws:
    `DataSourceException`
    `ReportProcessingException`

### processText

    public void processText(java.lang.String text)
                     throws DataSourceException,
                            ReportProcessingException

  Specified by:
    `processText` in interface `ReportTarget`
  Throws:
    `DataSourceException`
    `ReportProcessingException`

### processContent

    public void processContent(DataFlags value)
                        throws DataSourceException,
                               ReportProcessingException

  Specified by:
    `processContent` in interface `ReportTarget`
  Throws:
    `DataSourceException`
    `ReportProcessingException`

### getNamespaceByUri

    public org.jfree.layouting.namespace.NamespaceDefinition getNamespaceByUri(java.lang.String uri)

  Specified by:
    `getNamespaceByUri` in interface `ReportTarget`

### handleAttributes

    protected void handleAttributes(org.jfree.layouting.util.AttributeMap map)
                             throws ReportProcessingException

  Throws:
    `ReportProcessingException`

### endElement

    public void endElement(org.jfree.layouting.util.AttributeMap attrs)
                    throws DataSourceException,
                           ReportProcessingException

  Specified by:
    `endElement` in interface `ReportTarget`
  Throws:
    `DataSourceException`
    `ReportProcessingException`

### endReport

    public void endReport(ReportStructureRoot report)
                   throws DataSourceException,
                          ReportProcessingException

  Specified by:
    `endReport` in interface `ReportTarget`
  Throws:
    `DataSourceException`
    `ReportProcessingException`

### resetPagebreakFlag

    public void resetPagebreakFlag()

### getExportDescriptor

    public java.lang.String getExportDescriptor()

  Specified by:
    `getExportDescriptor` in interface `ReportTarget`